<?php
namespace Porth\Borderstyle\Domain\Model;


    /***************************************************************
     *
     *  Copyright notice
     *
     *  (c) 2016 Dr. Dieter Porth <info@mobger.de>
     *
     *  All rights reserved
     *
     *  This script is free software; you can redistribute it and/or modify
     *  it under the terms of the GNU General Public License as published by
     *  the Free Software Foundation; either version 3 of the License, or
     *  (at your option) any later version.
     *
     *  The GNU General Public License can be found at
     *  http://www.gnu.org/copyleft/gpl.html.
     *
     *  This copyright notice MUST APPEAR in all copies of the script!
     ***************************************************************/

/**
 * Styling
 */
class Styling extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * nickname
     * 
     * @var string
     */
    protected $nickname = '';
    
    /**
     * color
     * 
     * @var string
     */
    protected $color = '';
    
    /**
     * style
     * 
     * @var string
     */
    protected $style = 0;
    
    /**
     * Returns the nickname
     * 
     * @return string $nickname
     */
    public function getNickname()
    {
        return $this->nickname;
    }
    
    /**
     * Sets the nickname
     * 
     * @param string $nickname
     * @return void
     */
    public function setNickname($nickname)
    {
        $this->nickname = $nickname;
    }
    
    /**
     * Returns the color
     * 
     * @return string $color
     */
    public function getColor()
    {
        return $this->color;
    }
    
    /**
     * Sets the color
     * 
     * @param string $color
     * @return void
     */
    public function setColor($color)
    {
        $this->color = $color;
    }
    
    /**
     * Returns the style
     * 
     * @return string $style
     */
    public function getStyle()
    {
        return $this->style;
    }
    
    /**
     * Sets the style
     * 
     * @param string $style
     * @return void
     */
    public function setStyle($style)
    {
        $this->style = $style;
    }

}